Package skyview.process

# Class Processor

java.lang.Object
skyview.process.Processor

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `BoundaryAverage`, `BoundaryMedian`, `BoxSmoother`, `CatalogPostProcessor`, `CatalogProcessor`, `Deedger`, `HTMLWriter`, `IJProcessor`, `ImageMedian`, `InfoPrint`, `Mosaicker`, `PolarData`, `Prefetcher`, `SIAWriter`, `ThresholdMedianSmoother`, `WeightedSmoother`

public abstract class Processor extends Object implements Component

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Processor()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)`
Perform the processing task associated with this object.
`abstract void`
`updateHeader(nom.tam.fits.Header header)`
Update the FITS header to indicate what processing was done.
`abstract boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface skyview.Component

`getDescription, getName`

## Constructor Details

### Processor

public Processor()

## Method Details

### process

public abstract void process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)
Perform the processing task associated with this object.

Parameters:
  `inputs` - The array of input survey images.
  `output` - The output user image. A null output may signal that an error has taken place. If this processor wishes to do something in response to the error, it may look at the ErrorMsg setting.
  `source` - An array giving the source image for each output pixel.
  `samp` - The sampler object used to do spatial sampling of the input images.
  `dsamp` - The sampler in the energy dimension (often null).

### updateHeader

public abstract void updateHeader(nom.tam.fits.Header header)
Update the FITS header to indicate what processing was done.

### updatesOutput

public abstract boolean updatesOutput()
Does this processor actually modify the output array?